AFE_NXP_Arduino 2.0.5 Analog Front-End (AFE) device operation sample code for Arduino

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NAFE13388_Base::LogicalChannel Class Reference

`#include <AFE_NXP.h>`

Inheritance diagram for NAFE13388_Base::LogicalChannel:

## Public Member Functions
| LogicalChannel ()
virtual | ~LogicalChannel ()
void | configure (const uint16_t(&cc)[4])
void | configure (uint16_t cc0=0x0000, uint16_t cc1=0x0000, uint16_t cc2=0x0000, uint16_t cc3=0x0000)
Public Member Functions inherited from LogicalChannel_Base
| LogicalChannel_Base ()
virtual | ~LogicalChannel_Base ()
void | enable (void)
void | disable (void)
template<class T >
T | read (void)
| operator AFE_base::raw_t (void)
| operator AFE_base::volt_t (void)
template<>
AFE_base::raw_t | read (void)
template<>
AFE_base::volt_t | read (void)
template<class T >
double | operator+ (T v)
template<class T >
double | operator- (T v)
template<class T >
double | operator* (T v)
template<class T >
double | operator/ (T v)

## Additional Inherited Members
Public Attributes inherited from LogicalChannel_Base
int | ch_number
AFE_base * | afe_ptr

## Detailed Description

Definition at line 363 of file AFE_NXP.h.

## Constructor & Destructor Documentation

## ◆ LogicalChannel()

NAFE13388_Base::LogicalChannel::LogicalChannel | ( |  | ) |

Definition at line 47 of file AFE_NXP.cpp.

## ◆ ~LogicalChannel()

NAFE13388_Base::LogicalChannel::~LogicalChannel | ( |  | ) |
| virtual

Definition at line 51 of file AFE_NXP.cpp.

## Member Function Documentation

## ◆ configure() [1/2]

void NAFE13388_Base::LogicalChannel::configure | ( | const uint16_t(&) | cc[4] | ) |

Configure logical channel with register array

Parameters

  cc | array for CH_CONFIG0, CH_CONFIG1, CH_CONFIG2 and CH_CONFIG3 values

Definition at line 56 of file AFE_NXP.cpp.

## ◆ configure() [2/2]

void NAFE13388_Base::LogicalChannel::configure | ( | uint16_t | cc0 = `0x0000`,
|  | uint16_t | cc1 = `0x0000`,
|  | uint16_t | cc2 = `0x0000`,
|  | uint16_t | cc3 = `0x0000`
| ) |  |

Configure logical channel with individual register values

Parameters

  cc0 | 16bit value for CH_CONFIG0 register (0x20)
  cc1 | 16bit value for CH_CONFIG1 register (0x21)
  cc2 | 16bit value for CH_CONFIG2 register (0x22)
  cc3 | 16bit value for CH_CONFIG3 register (0x23)

Definition at line 61 of file AFE_NXP.cpp.

The documentation for this class was generated from the following files:

- AFE_NXP.h
- AFE_NXP.cpp